package com.ruixuan.launch.service;


import com.alibaba.fastjson.JSONObject;
import com.ruixuan.common.core.domain.ResultResponse;
import com.ruixuan.launch.entity.KuaishouLaunchGroupTarget;

import java.util.List;

/**
 * 广告组定向信息Service接口
 *
 * @author ruoyi
 * @date 2022-06-28
 */
public interface IKuaishouLaunchGroupTargetService {

    /**
     * 查询广告组定向信息列表
     *
     * @param kuaishouLaunchGroupTarget 广告组定向信息
     * @return 广告组定向信息集合
     */
    public List<KuaishouLaunchGroupTarget> selectKuaishouLaunchGroupTargetList(KuaishouLaunchGroupTarget kuaishouLaunchGroupTarget);

    /**
     * 新增广告组定向信息
     *
     * @param kuaishouLaunchGroupTarget 广告组定向信息
     * @return 结果
     */
    public int insertKuaishouLaunchGroupTarget(JSONObject request);

    ResultResponse getRegion(Long accountId, Integer categoryType);

    ResultResponse getPopulation(Long accountId);

    ResultResponse getCelebrityInfo(Long accountId, String keyword, String secondLabel, Long authorId);

    ResultResponse getCelebrityType(Long accountId);

    ResultResponse getPurchaseIntention(Long accountId);

    ResultResponse getVideos(Long accountId);
}